HostingDomains

List domains without customization

GET/api/domains_no_customizations

Returns domains that do not have a customization assigned and can receive one.

X-Api-Token<token>

API token used to authenticate requests.

In: header

Query Parameters

customer_code?string

Customer code used by admins to select the customer whose domains should be listed.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/domains_no_customizations" \  -H "X-Api-Token: YOUR_API_TOKEN" \  -H "Accept: application/json"
{
  "resources": [
    {
      "code": "string",
      "name": "string"
    }
  ],
  "pagination": {}
}
{
  "message": "Unauthorized",
  "errors": []
}
{
  "message": "Forbidden",
  "errors": []
}
{
  "message": "Not found",
  "errors": []
}
{
  "message": "Validation failed",
  "errors": [
    {
      "field": "name",
      "description": "is not valid"
    }
  ]
}